return
Prev | Orchestra Opcodes and Operators | Next

## return

return — Returns a value from an instrument.

## Description

Return will return a value from an instrument at i-time. The value of a global instrument (instrument 0) can be retrieved after compilation by the evalstr opcode. The retrieval of values returned by other instruments is not yet implemented.

## Syntax

    return ival

## Initialization

“ival” -- a value to be returned by instrument.

## Examples

Here is an example of the return opcode in conjunction with evalcode:

Example 902.

    ival evalstr "return 2 + 2"
    print ival

## See Also

String Manipulation Opcodes

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
resyn | Home | reverb